Articles of библиотеки

Как установить новейшую версию Texmaker на 12.10

Программный репо в Quantal имеет версию 3.2.1 texmaker, но texmaker теперь до версии 3.5. Я хотел бы иметь версию 3.5. После загрузки .deb с веб-сайта ( http://www.xm1math.net/texmaker/download.html , Ubuntu 12.10 amd64) и пытается установить его, он жалуется на желание libpoppler-qt4-4 . Я не могу найти libpoppler-qt4-4 в репозиториях, только libpoppler-qt4-3 . Как установить texmaxer 3.5?

Проблемы с переменной libconfig PKG_CONFIG_PATH

Я закодировал проект с некоторыми файлами на C. Чтобы облегчить для пользователя запуск программы, я начал генерировать cfg-файл. По этой причине я установил libconf. К сожалению, при компиляции с примером файла libconfig я получаю это сообщение. gcc $(pkg-config –cflags –libs libconfig) example1.c -o example1 example.cfg example1.c: In Function »main«: example1.c:43:13: Warning: Format »%s« expected argumenttyp […]

apt-get update не работает + ubuntu 32-разрядный Vs 64-разрядный

Я новичок в платформе linux. Пожалуйста, не отмечайте этот вопрос как дубликат, прежде чем читать его полностью. Моя система работает на процессоре intel i5 , а недавно установленная ОС – 64-bit Ubuntu 13.10 . Мне нужно было установить набор библиотек для моего инструмента разработчика Android ( ADT ) для правильной работы. Все началось с linuxizing […]

Винт отменяется для FONTSUB.DLL не работает

Я прочесываю интернет около 4 часов и не могу заставить это работать! Я просто пытаюсь установить Navicat Premium 11 x64 с помощью Wine. Каждый раз я запускал winecfg и настраивал переопределения библиотеки для fontsub и пробовал все настройки, созданные для этого. То, что я пробовал до сих пор: Следуя инструкциям по WineHQ Удаление и очистка […]

Установка boost в / usr / include

Я пытаюсь установить boost в папку /usr/include . Я попробовал sudo apt-get install libboost-dev , но самая высокая версия apt-get обеспечивает 1.58 вместо новейшего 1.61. Затем я загрузил бинарную версию boostforge и скомпилировал их с помощью sudo ./bootstrap.sh sudo ./b2 Библиотека была скомпилирована успешно, но файл /usr/include не был записан. Это сообщение предполагает, что –prefix[directory] […]

Как установить 64-битные библиотеки на 32-разрядную систему?

Мне нужно перекрестно скомпилировать 64-битную архитектуру на 32-битной платформе (используя флаг gcc-multilib и -m64). Для этого мне нужно установить 64-разрядные версии зависимых библиотек. Как мне это сделать?

Ошибка загрузки разделяемых библиотек: libssl.so.1.0.0

С этой ошибкой целая куча моих приложений больше не запускается (xchat, vmware и т. Д.). xchat: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory Я сделал несколько поисков и попытался найти несколько найденных сообщений (на этом сайте и других), но я не могу пройти мимо этого. Я […]

Установка NetCDF

Я хотел бы написать программу fortran, которая использует NetCDF. Для этого мне нужно иметь netcdf-модуль где-то на моем жестком диске и сообщить моему компилятору, где его найти. В Synaptic установлены следующие пакеты: netcdf-bin nco netcdf-doc libnetcdf-dev libnetcdf6 libnetcdf-dev, особенно, обещает «все необходимое для разработки в C, C ++, Fortran 77 и Fortran 90»; однако я […]

Как я могу установить Skype без ia32-libs?

Как установить Skype без ia32-libs ? Библиотеки, предоставленные ia32-libs разбивают мою 64-битную игру «Second Life».

как установить <vlc / vlc.h>

In file included from channel.cpp:20:0: header.h:4:21: fatal error: vlc/vlc.h: No such file or directory #include <vlc/vlc.h> ^ compilation terminated. make: *** [.obj/channel.o] Error 1